APIsPricingReference
Get customer-specific pricing for a part
Look up the price Samtec would quote your organization for a specific part and quantity. Provide oemPart or customerName (but not both) to identify the OEM customer and find contract pricing for that relationship. Without one, you get contract pricing only if Samtec has the contract set up without an OEM part attached; otherwise you get standard book pricing. Contract manufacturer accounts must provide one of the two. If no contract or book pricing is found, both are null. Prices are converted to the currency given in isoCurrencyCode.
Authorization
Bearer AuthorizationBearer <token>
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
In: header
Path Parameters
part*string
Query Parameters
oemPart?string
Default
""customerName?string
Default
""contractManufacturerName?string
Default
""quantity?integer
Format
int32Default
1isoCurrencyCode?string
Default
"USD"email?string
Header Parameters
client-app-name?string
Name of the client application
Default
"samtec-dev-portal"Response Body
application/json
curl -X GET "https://example.com/v1/customerpricing/string"{ "part": "TSW-110-08-T-D", "fullIncrementsRequired": false, "packagingQuantity": 100, "isoCurrencyCode": "USD", "customerInformation": { "oemNameProvided": false, "oemMatchFound": false, "oemSamtecCustomerName": null, "cmNameProvided": false, "cmMatchFound": false, "cmSamtecCustomerName": null }, "bookPrice": { "oem": 0.842, "distributor": 0.913 }, "prices": [ { "suggestedPrice": 0.842, "contract": null, "oemCustomer": null, "minimumOrderQuantity": 100 } ]}